package com.muyu.common.datascope;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.muyu.common.security.utils.SecurityUtils;
import lombok.extern.log4j.Log4j2;
import org.apache.ibatis.reflection.MetaObject;

import java.util.Date;

/**
 * 实体类字段填充
 */
@Log4j2
public class MyMetaObjectHandler implements MetaObjectHandler {
    public MyMetaObjectHandler () {
        log.info("元对象字段填充控制器 ------- 加载完成");
    }

    @Override
    public void insertFill(MetaObject metaObject) {
        this.setFieldValByName("createBy", SecurityUtils.getUserId(), metaObject);
        this.setFieldValByName("createTime", new Date(), metaObject);
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        this.setFieldValByName("updateBy", SecurityUtils.getUserId(), metaObject);
        this.setFieldValByName("updateTime", new Date(),metaObject);
    }
}
